summaryrefslogtreecommitdiff
path: root/init-dotnet.sh
diff options
context:
space:
mode:
authorElinor Fung <47805090+elinor-fung@users.noreply.github.com>2019-05-30 14:58:09 -0700
committerGitHub <noreply@github.com>2019-05-30 14:58:09 -0700
commitfa8383fb28be945cae900a5579afd5920f274fd4 (patch)
tree43db252786cea19fa8515c9e2e5fa81127ec82b5 /init-dotnet.sh
parent7e17986ff71a70ba328895e0b99e1de83d1bf5b5 (diff)
downloadcoreclr-fa8383fb28be945cae900a5579afd5920f274fd4.tar.gz
coreclr-fa8383fb28be945cae900a5579afd5920f274fd4.tar.bz2
coreclr-fa8383fb28be945cae900a5579afd5920f274fd4.zip
Remove BuildTools from product build (#24841)
* Remove BuildTools imports from product build * Split scripts for installing dotnet vs BuildTools
Diffstat (limited to 'init-dotnet.sh')
-rw-r--r--init-dotnet.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/init-dotnet.sh b/init-dotnet.sh
new file mode 100644
index 0000000000..f7ac32bad7
--- /dev/null
+++ b/init-dotnet.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+__scriptpath=$(cd "$(dirname "$0")"; pwd -P)
+
+echo "Installing dotnet using Arcade..."
+
+source $__scriptpath/eng/configure-toolset.sh
+source $__scriptpath/eng/common/tools.sh
+
+InitializeBuildTool
+
+if [ $? != 0 ]; then
+ echo "Failed to install dotnet using Arcade"
+ exit $?
+fi